Subject: RE: bug#47366: 27.1; Tags search (regexp): FAILS

From: "Bob Floyd" <[email-masked]>
Date: Mon, 27 Jun 2022 08:06:51 -0700

I have not had this issue after compiling:

This is GNU Emacs 28.0.50 (build 1, x86_64-w64-mingw32)
 of 2021-08-09

I've been using it since then.

Thanks,
Bob

-----Original Message-----
From: Eli Zaretskii [mailto:[email-masked]] 
Sent: Monday, June 27, 2022 4:15 AM
To: Lars Ingebrigtsen
Cc: [email-masked]; [email-masked]
Subject: Re: bug#47366: 27.1; Tags search (regexp): FAILS

> Cc: [email-masked]
> From: Lars Ingebrigtsen <[email-masked]>
> Date: Mon, 27 Jun 2022 10:24:33 +0200
> 
> "Bob Floyd" <[email-masked]> writes:
> 
> > When I do a �tags-search FooFoo� sometimes the search stops in a
> > buffer at the wrong line. FooFoo is indeed in the buffer, but can be
> > many lines away from where emacs stopped. If I �kill-buffer� (C-x k)
> > and restart the �tags-search� then emacs stops at the correct line
> > where FooFoo is. I think this happens when I do a �tags-search�, make
> > edits in the buffer, then �save-some-buffers� (C-x s) followed by a
> > 2nd �tags-search� that then fails.
> >
> > It appears maybe that the regex compiler isn�t run after the edits?
> >
> > Sorry I can�t provide an exact sequence of commands for you to see it,
> > it doesn�t happen always (maybe it doesn�t even stop in the buffer and
> > I don�t notice), but perhaps you can recognize the issue.
> 
> (I'm going through old bug reports that unfortunately weren't resolved
> at the time.)
> 
> I tried reproducing this in Emacs 29, but was unable to.  But I'm not
> sure I'm testing the right thing.

It is not clear from the recipe whether the OP re-runs etags to
regenerate the TAGS file after making significant changes top the
source files.  If etags is not re-run, the TAGS file could be outdated
more than the slack we allow, and then the problem description would
make sense.